#version 450

layout(push_constant) uniform constants {
    mat4 lightSpaceMatrix;
};

layout(location = 0) in vec3 aVertexPos;
layout(location = 1) in mat4 model;

void main() {
    gl_Position = lightSpaceMatrix * model * vec4(aVertexPos, 1.0f);
}
